# _MagicInfo Struct Reference

`#include <magic.h>`

## Data Fields

char * | path
char * | name
char * | target
unsigned char * | magic
size_t | length
MagickOffsetType | offset
MagickBooleanType | stealth
struct _MagicInfo * | previous
struct _MagicInfo * | next
unsigned long | signature

## Field Documentation

char* _MagicInfo::path

char * _MagicInfo::name

char * _MagicInfo::target

unsigned char* _MagicInfo::magic

size_t _MagicInfo::length

MagickOffsetType _MagicInfo::offset

MagickBooleanType _MagicInfo::stealth

struct _MagicInfo* _MagicInfo::previous`[read]`

struct _MagicInfo * _MagicInfo::next`[read]`

unsigned long _MagicInfo::signature

The documentation for this struct was generated from the following file:

- magic.h